const _connectEvents = [
  'SUBMITTED_CONSENT',
  'SELECTED_INSTITUTION',
  'SUBMITTED_LOGIN',
  'SUBMITTED_MFA',
];

buildConnectUrl(
    String connectToken,
    String? updateItem,
    List<int> connectorIds,
    List<String> connectorTypes,
    List<String> countries,
    bool includeSandbox,
    String language,
    String url) {
  final queryParameters = {
    'connect_token': connectToken,
    'update_item': updateItem,
    'connector_ids': connectorIds.join(','),
    'connector_types': connectorTypes.join(','),
    'countries': countries.join(','),
    'with_sandbox': includeSandbox.toString(),
    'lang': language,
  };

  final query = Uri(queryParameters: queryParameters).query;
  return '$url?$query';
}

isConnectEventType(String event) {
  return _connectEvents.contains(event);
}
